unit Unit1;

interface

uses
  SysUtils, Classes, HTTPApp, WebModu, HTTPProd, ReqMulti, WebDisp,
  WebAdapt, WebComp, CompProd, PagItems, MidProd, MidItems;

type
  TMainPage = class(TWebAppPageModule)
    InetXPageProducer: TInetXPageProducer;
    WebAppComponents: TWebAppComponents;
    ApplicationAdapter: TApplicationAdapter;
    PageDispatcher: TPageDispatcher;
    AdapterDispatcher: TAdapterDispatcher;
    WebDispatcher: TWebDispatcher;
    QueryForm1: TQueryForm;
    QueryFieldGroup1: TQueryFieldGroup;
    QueryText1: TQueryText;
    QueryText2: TQueryText;
    QueryText3: TQueryText;
    QueryTextArea1: TQueryTextArea;
    QueryText4: TQueryText;
    QueryRadioGroup1: TQueryRadioGroup;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function MainPage: TMainPage;

implementation

{$R *.dfm}  {*.html}

uses WebReq, WebCntxt, WebFact, Variants;

function MainPage: TMainPage;
begin
  Result := TMainPage(WebContext.FindModuleClass(TMainPage));
end;

initialization
  if WebRequestHandler <> nil then
    WebRequestHandler.AddWebModuleFactory(TWebAppPageModuleFactory.Create(TMainPage, TWebPageInfo.Create([wpPublished, wpLoginRequired], '.html'), caCache)

);

end.

